﻿@model IEnumerable<eCommerce.Services.Model.Purchase>
@{
    ViewBag.Title = "Compras";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Compras</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Purchases/PurchaseUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA COMPRA</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_PurchaseList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/Purchases/PurchaseDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                },
                error: function (request, status, error)
                {
                    swal("No es posible eliminar una compra con cobros o entregas realizadas.", "", "warning");
                }
            });
        }

        function fDeleteDialog(purchaseId)
        {
            var puchaseId = purchaseId;
            swal({
                title: "Confirma que desea eliminar la compra #" + purchaseId + "?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(purchaseId);
                }
            });

        }

    </script>

}

